{ config, pkgs, ... }:

{
  home = {
    sessionVariables = {
      EDITOR = "hx";
      VISUAL = "hx";
    };

    file.".config/helix/config.toml".text = ''
      theme = "monokai"
    '';

    packages = with pkgs.unstable; [
      helix
      clang-tools
      rust-analyzer
      rnix-lsp
      python310Packages.python-lsp-server
    ];
  };
}
